// DOMTreeErrorReporter.cpp: DOMTreeErrorReporter NX̃Cve[V
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// \z/
//////////////////////////////////////////////////////////////////////

DOMTreeErrorReporter::DOMTreeErrorReporter()
{

}

DOMTreeErrorReporter::~DOMTreeErrorReporter()
{

}

void DOMTreeErrorReporter::warning(const SAXParseException &toCatch)
{
    errStrm << "Warning at file \"" << toCatch.getSystemId()
            << "\", line " << toCatch.getLineNumber()
            << ", column " << toCatch.getColumnNumber()
            << "\n   Message: " << toCatch.getMessage()
            << "\n\n";
}

void DOMTreeErrorReporter::error(const SAXParseException &toCatch)
{
    errStrm << "Error at file \"" << toCatch.getSystemId()
            << "\", line " << toCatch.getLineNumber()
            << ", column " << toCatch.getColumnNumber()
            << "\n   Message: " << toCatch.getMessage()
            << "\n\n";
}

void DOMTreeErrorReporter::fatalError(const SAXParseException &toCatch)
{
    errStrm << "Fatal Error at file \"" << toCatch.getSystemId()
            << "\", line " << toCatch.getLineNumber()
            << ", column " << toCatch.getColumnNumber()
            << "\n   Message: " << toCatch.getMessage()
            << "\n\n";
}

void DOMTreeErrorReporter::resetErrors()
{

}
