/*
Validating processor of an XML Regular Schema Language (Ver 0.60)
Copyright (C) 1999      MURATA Makoto (FAMILY Given)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

MURATA Makoto can be reached at makoto@mars.netspace.or.jp.
If this address does not work, use murata.makoto@fujixerox.co.jp.

Contributor(s): 	

*/

//////////////////////////////////////////////////////////////////////
//
// RulesPerTagType.cpp: Implementation of the class RulesPerTagType
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// constructors/destructors
//////////////////////////////////////////////////////////////////////


RulesPerTagType::~RulesPerTagType()
{
	for (int i = 0; rule_p_p[i] != 0; i++)
		delete rule_p_p[i];
}


//////////////////////////////////////////////////////////////////////
// stream output
//////////////////////////////////////////////////////////////////////

TextOutputStream&
operator<<(TextOutputStream& tos, const RulesPerTagType& rule_list)
{
	tos << "GI: " << rule_list.name.rawBuffer() << EndLn;
	for (int i = 0; rule_list.rule_p_p[i] != 0; i++)
		tos << *(rule_list.rule_p_p[i]);
	return tos;
}