/*
Validating processor of an XML Regular Schema Language (Ver 0.60)
Copyright (C) 1999      MURATA Makoto (FAMILY Given)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

MURATA Makoto can be reached at makoto@mars.netspace.or.jp.
If this address does not work, use murata.makoto@fujixerox.co.jp.

Contributor(s): 	

*/

//////////////////////////////////////////////////////////////////////
//
// stdafx.h


#if !defined(AFX_STDAFX_H__10FCF7C2_57FE_11D3_9D6F_B07561C10000__INCLUDED_)
#define AFX_STDAFX_H__10FCF7C2_57FE_11D3_9D6F_B07561C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WIN32_LEAN_AND_MEAN // Windows wb_[wǎgpȂX^btO܂

#include <stdio.h>
#include <string.h>
#include <strstrea.h>
//#include	<strstream.h>
#include <iostream.h>

#include <util/XML4CDefs.hpp>
#include <util/StdOut.hpp>
#include <util/PlatformUtils.hpp>
#include <util/XMLUni.hpp>
#include <util/RefHashTableOf.hpp>
#include <sax/ErrorHandler.hpp>
#include <sax/SAXParseException.hpp>
#include <parsers/ValidatingDOMParser.hpp>
#include <parsers/ValidatingSAXParser.hpp>
#include <sax/HandlerBase.hpp>
#include <dom/DOM_Node.hpp>
#include <dom/DOM_NamedNodeMap.hpp>

#include "constants.hpp"
#include "grail.hpp"
#include "NonTermDescriptor.h"
#include "Datatype.h"
#include "NonTerm.h"
#include "TagTypeLessNonTerm.h"
#include "Schema.h"
#include "FmStates.h"
#include "Rule.h"
#include "RulesPerTagType.h"
#include "ErrorReporter.h"
#include "InstanceHandler.h"

extern XMLStdOut   outStrm;
extern XMLStdErr   errStrm;
// TODO: vOŕKvȃwb_[QƂǉĂB

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_STDAFX_H__10FCF7C2_57FE_11D3_9D6F_B07561C10000__INCLUDED_)
