/*
Validating processor of an XML Regular Schema Language (Ver 0.60)
Copyright (C) 1999      MURATA Makoto (FAMILY Given)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

MURATA Makoto can be reached at makoto@mars.netspace.or.jp.
If this address does not work, use murata.makoto@fujixerox.co.jp.

Contributor(s): 	

*/

//////////////////////////////////////////////////////////////////////
//
// TagTypeLessNonTerm.cpp: Implementation of the class TagTypeLessNonTerm
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// constructors/destructors
//////////////////////////////////////////////////////////////////////

TagTypeLessNonTerm::TagTypeLessNonTerm(const DOM_Element& mg_elem)
:TagTypeLessNonTerm_elem(mg_elem)
{

}

//////////////////////////////////////////////////////////////////////
// Hash key
//////////////////////////////////////////////////////////////////////

const XMLCh* TagTypeLessNonTerm::key()
{
	DOMString mg_name = TagTypeLessNonTerm_elem.getAttribute("nonTerm");
	if (mg_name.equals(""))
		throw "The attribute \"nonTerm\" of a rule is missing!";
	return mg_name.rawBuffer();
}
